<?php

namespace App\Enums;

enum AccountStatusEnum: string
{
    case UNTESTED = 'untested';
    case HEALTHY = 'healthy';
    case UNHEALTHY = 'unhealthy';

    public function label(): string
    {
        return match ($this) {
            self::UNTESTED => 'Untested',
            self::HEALTHY => 'Healthy',
            self::UNHEALTHY => 'Unhealthy',
        };
    }
}
